Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.wml
Interface WMLOptionElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, WMLElement

All Known Implementing Classes:
  WMLOptionElementImpl

public interface WMLOptionElement
extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'option' element specifies a choice in a 'select' element

Version:
  $Id: WMLOptionElement.java,v 1.1 2000/04/23 18:07:44 david Exp $
Author:
  David Li

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getOnPick()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getValue()`
`java.lang.String` | `getXmlLang()`
`void` | `setOnPick(java.lang.String href)` 'onpick' specifies a event to occur when a user select and disselect this choice.
`void` | `setTitle(java.lang.String newValue)` 'title' specifies a title for this element.
`void` | `setValue(java.lang.String newValue)` 'value' specifies the value to used to set the 'name' variable (Section 11.6.2.2, WAP WML Version 16-Jun-1999)
`void` | `setXmlLang(java.lang.String newValue)` 'xml:lang' specifics the natural or formal language in which the document is written.

Methods inherited from interface org.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### setValue

    public void setValue(java.lang.String newValue)

  'value' specifies the value to used to set the 'name' variable (Section 11.6.2.2, WAP WML Version 16-Jun-1999)

### getValue

    public java.lang.String getValue()

### setTitle

    public void setTitle(java.lang.String newValue)

  'title' specifies a title for this element. (Section 11.6.2.2, WAP WML Version 16-Jun-1999)

### getTitle

    public java.lang.String getTitle()

### setOnPick

    public void setOnPick(java.lang.String href)

  'onpick' specifies a event to occur when a user select and disselect this choice. (Section 11.6.2.2, WAP WML Version 16-Jun-1999)

### getOnPick

    public java.lang.String getOnPick()

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

### getXmlLang

    public java.lang.String getXmlLang()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.